GET
/v1/checkout/sessions/{id}
Bearer
Get a pay link
Path parameters
-
idrequired string
GET https://omni.mojo-pay.com/v1/checkout/sessions/{id}
curl -X GET "https://omni.mojo-pay.com/v1/checkout/sessions/{id}" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Accept: application/json"
Response
{
"id": "CS_4NQP81ABCDEF",
"object": "checkout_session",
"status": "succeeded",
"currency": "GHS",
"amount_mode": "fixed",
"amount": "1.00",
"fee_amount": "0.00",
"fee_mode": "on_top",
"amount_payable": "1.00",
"merchant_settlement_amount": "1.00",
"merchant_reference": "KLCTMXOAIS",
"mobile": "233555515326",
"payment_rail": "mobile_money",
"provider": "MTN"
}
{
"id": "CS_4NQP83ABCDEF",
"object": "checkout_session",
"status": "succeeded",
"currency": "GHS",
"amount_mode": "open",
"amount": "25.00",
"fee_amount": "0.50",
"fee_mode": "on_top",
"amount_payable": "25.50",
"merchant_settlement_amount": "25.00",
"merchant_reference": "DONATION-2026-001",
"mobile": "233555515326",
"payment_rail": "mobile_money",
"provider": "MTN"
}